Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055609 - Save button position is inconsistent for configuration and for connection settings
Summary: Save button position is inconsistent for configuration and for connection set...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI, Usability
Version: JON 3.2
Hardware: All
OS: All
unspecified
medium
Target Milestone: ER01
: JON 3.3.0
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 15:43 UTC by Jirka Kremser
Modified: 2014-12-11 14:03 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:03:36 UTC
Type: Bug


Attachments (Terms of Use)
save-buttons-inconsistency (deleted)
2014-01-20 15:43 UTC, Jirka Kremser
no flags Details
save_btn_configuration (deleted)
2014-08-20 08:45 UTC, Armine Hovsepyan
no flags Details
save_btn_connectionSettings (deleted)
2014-08-20 08:45 UTC, Armine Hovsepyan
no flags Details

Description Jirka Kremser 2014-01-20 15:43:08 UTC
Created attachment 852790 [details]
save-buttons-inconsistency

Description of problem:
As it is displayed on the attached screenshot, the "Save" button on Connection settings tab (URL fragment: #Resource/${res_id}/Inventory/ConnectionSettings) is displayed at the top of the screen while on the Configuration tab (URL fragment: #Resource/${res_id}/Configuration/Current), it is on the bottom.

This should be consistent.


Version-Release number of selected component (if applicable):
3.2.0 GA


How reproducible:
Always


Steps to Reproduce:
1. go to http://${host}:7080/coregui/#Resource/${res_id}/Inventory/ConnectionSettings)
2. go to http://${host}:7080/coregui/#Resource/${res_id}/Configuration/Current
3. compare the two screens

Actual results:
* 1 save button on the top
* 1 save button on the bottom

Expected results:
* both save buttons on the bottom

Comment 1 Jirka Kremser 2014-01-20 15:46:13 UTC
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=d53ae8c7d
time:    2014-01-20 16:44:22 +0100
commit:  d53ae8c7d9de6fcc3b7c5d1d515ceedaa888bbb3
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1055609] - Save button position is inconsistent for configuration
         and for connection settings - moving the toolstrip with the
         save button to the bottom of the screen for plugin
         configuration view (connection settings tab).


This is based on Biljana's "UX issues" presentation.
Larry, could this go to JON 3.2.1?

Comment 3 Larry O'Leary 2014-06-27 14:55:47 UTC
Let's keep this in 3.3 as it is a UI change and doesn't meet the requirements for a maintenance release.

If the work is done, this is probably ready for MODIFIED state to be picked up in first 3.3 ER build.

Comment 4 Jirka Kremser 2014-08-01 11:19:05 UTC
This was fixed in master so it should be fixed in 3.3 when the release branch was forked from current master.

Comment 5 Simeon Pinder 2014-08-19 23:50:31 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025

Comment 6 Armine Hovsepyan 2014-08-20 08:44:32 UTC
verified
screen-shots attached

new BZ filed for button styling #1131886

Comment 7 Armine Hovsepyan 2014-08-20 08:45:02 UTC
Created attachment 928684 [details]
save_btn_configuration

Comment 8 Armine Hovsepyan 2014-08-20 08:45:27 UTC
Created attachment 928685 [details]
save_btn_connectionSettings


Note You need to log in before you can comment on or make changes to this bug.